const hiddenMenuButton1 = document.querySelector(".hiddenMenuButton1")
const hiddenMenu1 = document.querySelector(".hiddenMenu1")
const hiddenMenuButton2 = document.querySelector(".hiddenMenuButton2")
const hiddenMenu2 = document.querySelector(".hiddenMenu2")
const hiddenMenuButton3 = document.querySelector(".hiddenMenuButton3")
const hiddenMenu3 = document.querySelector(".hiddenMenu3")
const hiddenMenuButton4 = document.querySelector(".hiddenMenuButton4")
const hiddenMenu4 = document.querySelector(".hiddenMenu4")


    function set_visibility(class_name){
        if (class_name.classList.contains("hide")) 
              {
                class_name.classList.remove("hide")
              } 
            else
              {
                class_name.classList.add("hide")
              }
      }
        

      if (hiddenMenuButton1 != null) {
        hiddenMenuButton1.addEventListener('click',()=> {
          set_visibility(hiddenMenu1)
        
        })
      }

      if (hiddenMenuButton2 != null) {
        hiddenMenuButton2.addEventListener('click',()=> {
            set_visibility(hiddenMenu2)
        
        })
      }

      if (hiddenMenuButton3 != null) {
        hiddenMenuButton3.addEventListener('click',()=> {
            set_visibility(hiddenMenu3)
        
        })
      }

      if (hiddenMenuButton4 != null) {
        hiddenMenuButton4.addEventListener('click',()=> {
            set_visibility(hiddenMenu4)
        
        })
      }



